import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { DynaformModule } from './dynaform/dynaform.module';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { AppComponent } from './app.component';
import { JsonFormatterDirective } from './directives/json-formatter.directive';

@NgModule({
	imports: [
		BrowserModule,
		BrowserAnimationsModule,
		FormsModule,
		ReactiveFormsModule,
		DynaformModule,
		NgbModule.forRoot()
	],
	declarations: [
		AppComponent,
		JsonFormatterDirective
	],
	providers: [],
	bootstrap: [AppComponent]
})
export class AppModule { }
